Skip to content
Last updated

Retry processing for a file that failed.

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/vector-stores/{vector_store_id}/files/{file_id}/retry

Re-enqueue a failed file for processing. This is useful when a file failed due to temporary issues like network errors or service unavailability.

Path Parameters

organization_id string required

The unique identifier of the organization.

vector_store_id string required

The unique identifier of the vector store.

file_id string required

The unique identifier of the file to retry.

Request Body

reset_error boolean optional

Clear previous error message before retrying. Default: false.


Returns

A processing status object with the updated status showing the file has been re-queued.

cURL
curl -X POST "https://api.aitronos.com/v1/organizations/org_abc123/vector-stores/vs_xyz789/files/file_abc456/retry" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"reset_error": true}'